#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module		Levenshtein
%define 	egg_name	python_Levenshtein
%define		pypi_name	python-Levenshtein
Summary:	Python extension computing string distances and similarities
Summary(pl.UTF-8):	Rozszerzenie Pythona do obliczania odległości i podobieństw łańcuchów
Name:		python-%{module}
Version:	0.12.0
Release:	8
License:	GPL v2
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	e8cde197d6d304bbdc3adae66fec99fb
URL:		https://github.com/ztane/python-Levenshtein/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.3.0
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:2.3.0
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Levenshtein computes Levenshtein distances, similarity ratios,
generalized medians and set medians of Strings and Unicodes. Becuase
it's implemented in C, it's much faster than corresponding Python
library functions and methods.

%description -l pl.UTF-8
Levenshtein oblicza odległości Levenshteina, współczynniki
podobieństwa, uogólnione mediany i mediany zbiorów dla wartości String
i Unicode. Ponieważ jest zaimplementowany w C, jest dużo szybszy od
odpowiadających mu funkcji bibliotecznych i metod Pythona.

%package -n python3-%{module}
Summary:	Python extension computing string distances and similarities
Summary(pl.UTF-8):	Rozszerzenie Pythona do obliczania odległości i podobieństw łańcuchów
Group:		Libraries/Python

%description -n python3-%{module}
Levenshtein computes Levenshtein distances, similarity ratios,
generalized medians and set medians of Strings and Unicodes. Becuase
it's implemented in C, it's much faster than corresponding Python
library functions and methods.

%description -n python3-%{module} -l pl.UTF-8
Levenshtein oblicza odległości Levenshteina, współczynniki
podobieństwa, uogólnione mediany i mediany zbiorów dla wartości String
i Unicode. Ponieważ jest zaimplementowany w C, jest dużo szybszy od
odpowiadających mu funkcji bibliotecznych i metod Pythona.

%prep
%setup -q

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/%{module}/_levenshtein.[ch]
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/%{module}/_levenshtein.[ch]
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst NEWS HISTORY.txt
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/_levenshtein.so
%{py_sitedir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst NEWS HISTORY.txt
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%dir %{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/%{module}/__pycache__/*.py[co]
%attr(755,root,root) %{py3_sitedir}/%{module}/_levenshtein.cpython-*so
%{py3_sitedir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Levenshtein.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6e32722
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d5a085d
- Release 7 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 00bfce6
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 9ca4e8b
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 4e4becb
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> a7b3542
- release 3 (by relup.sh)

* Mon Apr 06 2020 Jan Palus <atler@pld-linux.org> 9fd6647
- add building of python3 module; rel 2

* Mon Jun 27 2016 Elan Ruusamäe <glen@delfi.ee> a03878f
- up to 0.12.0

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> b9fe8ff
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ab83f9e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> efc6220
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 624d0cd
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 50eb79c
- x32 rebuild
- release 3 (by relup.sh)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> af841be
- release 2

* Sat May 15 2010 sparky <sparky@pld-linux.org> eebc01e
- BR: python-modules, rpm-pythonprov

* Mon May 10 2010 Elan Ruusamäe <glen@pld-linux.org> 9c18fbb
- release 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f34cdb8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f3ac28c
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 925ecf8
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Nov 27 2004 saq <saq@pld-linux.org> deef5ff
- massive attack: added missing python-devel epoch do BR

